Index: uspace/lib/c/generic/io/con_srv.c
===================================================================
--- uspace/lib/c/generic/io/con_srv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/io/con_srv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -66,5 +66,5 @@
 }
 
-static void con_read_srv(con_srv_t *srv, cap_call_handle_t callid,
+static void con_read_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -72,8 +72,8 @@
 	size_t size;
 	errno_t rc;
-	cap_call_handle_t rcallid;
-
-	if (!async_data_read_receive(&rcallid, &size)) {
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t rcall_handle;
+
+	if (!async_data_read_receive(&rcall_handle, &size)) {
+		async_answer_0(chandle, EINVAL);
 		return;
 	}
@@ -81,12 +81,12 @@
 	buf = malloc(size);
 	if (buf == NULL) {
-		async_answer_0(rcallid, ENOMEM);
-		async_answer_0(callid, ENOMEM);
+		async_answer_0(rcall_handle, ENOMEM);
+		async_answer_0(chandle, ENOMEM);
 		return;
 	}
 
 	if (srv->srvs->ops->read == NULL) {
-		async_answer_0(rcallid, ENOTSUP);
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(rcall_handle, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		free(buf);
 		return;
@@ -96,17 +96,17 @@
 	rc = srv->srvs->ops->read(srv, buf, size, &nread);
 	if (rc != EOK) {
-		async_answer_0(rcallid, rc);
-		async_answer_0(callid, rc);
+		async_answer_0(rcall_handle, rc);
+		async_answer_0(chandle, rc);
 		free(buf);
 		return;
 	}
 
-	async_data_read_finalize(rcallid, buf, nread);
+	async_data_read_finalize(rcall_handle, buf, nread);
 	free(buf);
 
-	async_answer_1(callid, EOK, nread);
-}
-
-static void con_write_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_1(chandle, EOK, nread);
+}
+
+static void con_write_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -117,10 +117,10 @@
 	rc = async_data_write_accept(&data, false, 0, 0, 0, &size);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
 
 	if (srv->srvs->ops->write == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -130,32 +130,32 @@
 	free(data);
 
-	async_answer_1(callid, rc, nwritten);
-}
-
-static void con_sync_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_1(chandle, rc, nwritten);
+}
+
+static void con_sync_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	if (srv->srvs->ops->sync == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->sync(srv);
-	async_answer_0(callid, EOK);
-}
-
-static void con_clear_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_clear_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	if (srv->srvs->ops->clear == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->clear(srv);
-	async_answer_0(callid, EOK);
-}
-
-static void con_set_pos_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_set_pos_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -167,13 +167,13 @@
 
 	if (srv->srvs->ops->set_pos == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->set_pos(srv, col, row);
-	async_answer_0(callid, EOK);
-}
-
-static void con_get_pos_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_get_pos_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -183,13 +183,13 @@
 
 	if (srv->srvs->ops->get_pos == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->get_pos(srv, &col, &row);
-	async_answer_2(callid, rc, col, row);
-}
-
-static void con_get_size_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_2(chandle, rc, col, row);
+}
+
+static void con_get_size_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -199,13 +199,13 @@
 
 	if (srv->srvs->ops->get_size == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->get_size(srv, &cols, &rows);
-	async_answer_2(callid, rc, cols, rows);
-}
-
-static void con_get_color_cap_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_2(chandle, rc, cols, rows);
+}
+
+static void con_get_color_cap_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -214,13 +214,13 @@
 
 	if (srv->srvs->ops->get_color_cap == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	rc = srv->srvs->ops->get_color_cap(srv, &ccap);
-	async_answer_1(callid, rc, (sysarg_t)ccap);
-}
-
-static void con_set_style_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_1(chandle, rc, (sysarg_t)ccap);
+}
+
+static void con_set_style_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -230,13 +230,13 @@
 
 	if (srv->srvs->ops->set_style == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->set_style(srv, style);
-	async_answer_0(callid, EOK);
-}
-
-static void con_set_color_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_set_color_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -250,13 +250,13 @@
 
 	if (srv->srvs->ops->set_color == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->set_color(srv, bgcolor, fgcolor, flags);
-	async_answer_0(callid, EOK);
-}
-
-static void con_set_rgb_color_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_set_rgb_color_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -268,13 +268,13 @@
 
 	if (srv->srvs->ops->set_rgb_color == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->set_rgb_color(srv, bgcolor, fgcolor);
-	async_answer_0(callid, EOK);
-}
-
-static void con_set_cursor_visibility_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_set_cursor_visibility_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -284,13 +284,13 @@
 
 	if (srv->srvs->ops->set_cursor_visibility == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
 
 	srv->srvs->ops->set_cursor_visibility(srv, show);
-	async_answer_0(callid, EOK);
-}
-
-static void con_get_event_srv(con_srv_t *srv, cap_call_handle_t callid,
+	async_answer_0(chandle, EOK);
+}
+
+static void con_get_event_srv(con_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -300,5 +300,5 @@
 
 	if (srv->srvs->ops->get_event == NULL) {
-		async_answer_0(callid, ENOTSUP);
+		async_answer_0(chandle, ENOTSUP);
 		return;
 	}
@@ -306,5 +306,5 @@
 	rc = srv->srvs->ops->get_event(srv, &event);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
+		async_answer_0(chandle, rc);
 		return;
 	}
@@ -312,9 +312,9 @@
 	rc = console_ev_encode(&event, &result);
 	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		return;
-	}
-
-	async_answer_5(callid, rc, IPC_GET_ARG1(result), IPC_GET_ARG2(result),
+		async_answer_0(chandle, rc);
+		return;
+	}
+
+	async_answer_5(chandle, rc, IPC_GET_ARG1(result), IPC_GET_ARG2(result),
 	    IPC_GET_ARG3(result), IPC_GET_ARG4(result), IPC_GET_ARG5(result));
 }
@@ -340,5 +340,5 @@
 }
 
-errno_t con_conn(cap_call_handle_t iid, ipc_call_t *icall, con_srvs_t *srvs)
+errno_t con_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, con_srvs_t *srvs)
 {
 	con_srv_t *srv;
@@ -346,5 +346,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	srv = con_srv_create(srvs);
@@ -366,19 +366,19 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = 0;
-
-		while (callid == 0) {
+		cap_call_handle_t chandle = 0;
+
+		while (chandle == 0) {
 			/* XXX Need to be able to abort immediately */
-			callid = async_get_call_timeout(&call,
+			chandle = async_get_call_timeout(&call,
 			    srvs->abort_timeout);
 
 			if (srv->srvs->aborted) {
-				if (callid != 0)
-					async_answer_0(callid, EINTR);
+				if (chandle != 0)
+					async_answer_0(chandle, EINTR);
 				break;
 			}
 		}
 
-		if (callid == 0)
+		if (chandle == 0)
 			break;
 
@@ -387,5 +387,5 @@
 		if (!method) {
 			/* The other side has hung up */
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -393,44 +393,44 @@
 		switch (method) {
 		case VFS_OUT_READ:
-			con_read_srv(srv, callid, &call);
+			con_read_srv(srv, chandle, &call);
 			break;
 		case VFS_OUT_WRITE:
-			con_write_srv(srv, callid, &call);
+			con_write_srv(srv, chandle, &call);
 			break;
 		case VFS_OUT_SYNC:
-			con_sync_srv(srv, callid, &call);
+			con_sync_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_CLEAR:
-			con_clear_srv(srv, callid, &call);
+			con_clear_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_SET_POS:
-			con_set_pos_srv(srv, callid, &call);
+			con_set_pos_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_GET_POS:
-			con_get_pos_srv(srv, callid, &call);
+			con_get_pos_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_GET_SIZE:
-			con_get_size_srv(srv, callid, &call);
+			con_get_size_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_GET_COLOR_CAP:
-			con_get_color_cap_srv(srv, callid, &call);
+			con_get_color_cap_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_SET_STYLE:
-			con_set_style_srv(srv, callid, &call);
+			con_set_style_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_SET_COLOR:
-			con_set_color_srv(srv, callid, &call);
+			con_set_color_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_SET_RGB_COLOR:
-			con_set_rgb_color_srv(srv, callid, &call);
+			con_set_rgb_color_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_SET_CURSOR_VISIBILITY:
-			con_set_cursor_visibility_srv(srv, callid, &call);
+			con_set_cursor_visibility_srv(srv, chandle, &call);
 			break;
 		case CONSOLE_GET_EVENT:
-			con_get_event_srv(srv, callid, &call);
+			con_get_event_srv(srv, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/io/input.c
===================================================================
--- uspace/lib/c/generic/io/input.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/io/input.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -43,5 +43,5 @@
 #include <stdlib.h>
 
-static void input_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void input_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 errno_t input_open(async_sess_t *sess, input_ev_ops_t *ev_ops,
@@ -92,19 +92,19 @@
 }
 
-static void input_ev_active(input_t *input, cap_call_handle_t callid,
+static void input_ev_active(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	errno_t rc = input->ev_ops->active(input);
-	async_answer_0(callid, rc);
-}
-
-static void input_ev_deactive(input_t *input, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void input_ev_deactive(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	errno_t rc = input->ev_ops->deactive(input);
-	async_answer_0(callid, rc);
-}
-
-static void input_ev_key(input_t *input, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void input_ev_key(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -121,8 +121,8 @@
 
 	rc = input->ev_ops->key(input, type, key, mods, c);
-	async_answer_0(callid, rc);
-}
-
-static void input_ev_move(input_t *input, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void input_ev_move(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -135,8 +135,8 @@
 
 	rc = input->ev_ops->move(input, dx, dy);
-	async_answer_0(callid, rc);
-}
-
-static void input_ev_abs_move(input_t *input, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void input_ev_abs_move(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -153,8 +153,8 @@
 
 	rc = input->ev_ops->abs_move(input, x, y, max_x, max_y);
-	async_answer_0(callid, rc);
-}
-
-static void input_ev_button(input_t *input, cap_call_handle_t callid,
+	async_answer_0(chandle, rc);
+}
+
+static void input_ev_button(input_t *input, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
@@ -167,8 +167,8 @@
 
 	rc = input->ev_ops->button(input, bnum, press);
-	async_answer_0(callid, rc);
-}
-
-static void input_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(chandle, rc);
+}
+
+static void input_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	input_t *input = (input_t *)arg;
@@ -176,5 +176,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -185,23 +185,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case INPUT_EVENT_ACTIVE:
-			input_ev_active(input, callid, &call);
+			input_ev_active(input, chandle, &call);
 			break;
 		case INPUT_EVENT_DEACTIVE:
-			input_ev_deactive(input, callid, &call);
+			input_ev_deactive(input, chandle, &call);
 			break;
 		case INPUT_EVENT_KEY:
-			input_ev_key(input, callid, &call);
+			input_ev_key(input, chandle, &call);
 			break;
 		case INPUT_EVENT_MOVE:
-			input_ev_move(input, callid, &call);
+			input_ev_move(input, chandle, &call);
 			break;
 		case INPUT_EVENT_ABS_MOVE:
-			input_ev_abs_move(input, callid, &call);
+			input_ev_abs_move(input, chandle, &call);
 			break;
 		case INPUT_EVENT_BUTTON:
-			input_ev_button(input, callid, &call);
+			input_ev_button(input, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/iplink.c
===================================================================
--- uspace/lib/c/generic/iplink.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/iplink.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -45,5 +45,5 @@
 #include <stdlib.h>
 
-static void iplink_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg);
+static void iplink_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg);
 
 errno_t iplink_open(async_sess_t *sess, iplink_ev_ops_t *ev_ops, void *arg,
@@ -245,5 +245,5 @@
 }
 
-static void iplink_ev_recv(iplink_t *iplink, cap_call_handle_t iid,
+static void iplink_ev_recv(iplink_t *iplink, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -255,5 +255,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -261,8 +261,8 @@
 	rc = iplink->ev_ops->recv(iplink, &sdu, ver);
 	free(sdu.data);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_ev_change_addr(iplink_t *iplink, cap_call_handle_t iid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_ev_change_addr(iplink_t *iplink, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -273,5 +273,5 @@
 	    sizeof(addr48_t), sizeof(addr48_t), 0, &size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -279,8 +279,8 @@
 	rc = iplink->ev_ops->change_addr(iplink, *addr);
 	free(addr);
-	async_answer_0(iid, EOK);
-}
-
-static void iplink_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+	async_answer_0(icall_handle, EOK);
+}
+
+static void iplink_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	iplink_t *iplink = (iplink_t *) arg;
@@ -288,5 +288,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -297,11 +297,11 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case IPLINK_EV_RECV:
-			iplink_ev_recv(iplink, callid, &call);
+			iplink_ev_recv(iplink, chandle, &call);
 			break;
 		case IPLINK_EV_CHANGE_ADDR:
-			iplink_ev_change_addr(iplink, callid, &call);
+			iplink_ev_change_addr(iplink, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/iplink_srv.c
===================================================================
--- uspace/lib/c/generic/iplink_srv.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/iplink_srv.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -42,13 +42,13 @@
 #include <inet/iplink_srv.h>
 
-static void iplink_get_mtu_srv(iplink_srv_t *srv, cap_call_handle_t callid,
+static void iplink_get_mtu_srv(iplink_srv_t *srv, cap_call_handle_t chandle,
     ipc_call_t *call)
 {
 	size_t mtu;
 	errno_t rc = srv->ops->get_mtu(srv, &mtu);
-	async_answer_1(callid, rc, mtu);
-}
-
-static void iplink_get_mac48_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_1(chandle, rc, mtu);
+}
+
+static void iplink_get_mac48_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -56,30 +56,30 @@
 	errno_t rc = srv->ops->get_mac48(srv, &mac);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_read_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_read_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(addr48_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &mac, size);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &mac, size);
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
-}
-
-static void iplink_set_mac48_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_set_mac48_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -87,81 +87,81 @@
 	size_t size;
 	addr48_t mac;
-	cap_call_handle_t callid;
-
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	cap_call_handle_t chandle;
+
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 	}
 
 	rc = srv->ops->set_mac48(srv, &mac);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
-		return;
-	}
-
-	rc = async_data_read_finalize(callid, &mac, sizeof(addr48_t));
+		async_answer_0(icall_handle, rc);
+		return;
+	}
+
+	rc = async_data_read_finalize(chandle, &mac, sizeof(addr48_t));
 	if (rc != EOK)
-		async_answer_0(callid, rc);
-
-	async_answer_0(iid, rc);
-}
-
-static void iplink_addr_add_srv(iplink_srv_t *srv, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+		async_answer_0(chandle, rc);
+
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_addr_add_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t addr;
-	errno_t rc = async_data_write_finalize(callid, &addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
 	rc = srv->ops->addr_add(srv, &addr);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_addr_remove_srv(iplink_srv_t *srv, cap_call_handle_t iid,
-    ipc_call_t *icall)
-{
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_addr_remove_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
+    ipc_call_t *icall)
+{
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(inet_addr_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
 		return;
 	}
 
 	inet_addr_t addr;
-	errno_t rc = async_data_write_finalize(callid, &addr, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+	errno_t rc = async_data_write_finalize(chandle, &addr, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
 	rc = srv->ops->addr_remove(srv, &addr);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_send_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_send_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
@@ -174,5 +174,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -180,30 +180,30 @@
 	rc = srv->ops->send(srv, &sdu);
 	free(sdu.data);
-	async_answer_0(iid, rc);
-}
-
-static void iplink_send6_srv(iplink_srv_t *srv, cap_call_handle_t iid,
+	async_answer_0(icall_handle, rc);
+}
+
+static void iplink_send6_srv(iplink_srv_t *srv, cap_call_handle_t icall_handle,
     ipc_call_t *icall)
 {
 	iplink_sdu6_t sdu;
 
-	cap_call_handle_t callid;
-	size_t size;
-	if (!async_data_write_receive(&callid, &size)) {
-		async_answer_0(callid, EREFUSED);
-		async_answer_0(iid, EREFUSED);
+	cap_call_handle_t chandle;
+	size_t size;
+	if (!async_data_write_receive(&chandle, &size)) {
+		async_answer_0(chandle, EREFUSED);
+		async_answer_0(icall_handle, EREFUSED);
 		return;
 	}
 
 	if (size != sizeof(addr48_t)) {
-		async_answer_0(callid, EINVAL);
-		async_answer_0(iid, EINVAL);
-		return;
-	}
-
-	errno_t rc = async_data_write_finalize(callid, &sdu.dest, size);
-	if (rc != EOK) {
-		async_answer_0(callid, rc);
-		async_answer_0(iid, rc);
+		async_answer_0(chandle, EINVAL);
+		async_answer_0(icall_handle, EINVAL);
+		return;
+	}
+
+	errno_t rc = async_data_write_finalize(chandle, &sdu.dest, size);
+	if (rc != EOK) {
+		async_answer_0(chandle, rc);
+		async_answer_0(icall_handle, rc);
 	}
 
@@ -211,5 +211,5 @@
 	    &sdu.size);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -217,5 +217,5 @@
 	rc = srv->ops->send6(srv, &sdu);
 	free(sdu.data);
-	async_answer_0(iid, rc);
+	async_answer_0(icall_handle, rc);
 }
 
@@ -229,5 +229,5 @@
 }
 
-errno_t iplink_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+errno_t iplink_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	iplink_srv_t *srv = (iplink_srv_t *) arg;
@@ -237,5 +237,5 @@
 	if (srv->connected) {
 		fibril_mutex_unlock(&srv->lock);
-		async_answer_0(iid, EBUSY);
+		async_answer_0(icall_handle, EBUSY);
 		return EBUSY;
 	}
@@ -245,5 +245,5 @@
 
 	/* Accept the connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	async_sess_t *sess = async_callback_receive(EXCHANGE_SERIALIZE);
@@ -259,5 +259,5 @@
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -267,5 +267,5 @@
 			srv->connected = false;
 			fibril_mutex_unlock(&srv->lock);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			break;
 		}
@@ -273,26 +273,26 @@
 		switch (method) {
 		case IPLINK_GET_MTU:
-			iplink_get_mtu_srv(srv, callid, &call);
+			iplink_get_mtu_srv(srv, chandle, &call);
 			break;
 		case IPLINK_GET_MAC48:
-			iplink_get_mac48_srv(srv, callid, &call);
+			iplink_get_mac48_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SET_MAC48:
-			iplink_set_mac48_srv(srv, callid, &call);
+			iplink_set_mac48_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SEND:
-			iplink_send_srv(srv, callid, &call);
+			iplink_send_srv(srv, chandle, &call);
 			break;
 		case IPLINK_SEND6:
-			iplink_send6_srv(srv, callid, &call);
+			iplink_send6_srv(srv, chandle, &call);
 			break;
 		case IPLINK_ADDR_ADD:
-			iplink_addr_add_srv(srv, callid, &call);
+			iplink_addr_add_srv(srv, chandle, &call);
 			break;
 		case IPLINK_ADDR_REMOVE:
-			iplink_addr_remove_srv(srv, callid, &call);
+			iplink_addr_remove_srv(srv, chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, EINVAL);
+			async_answer_0(chandle, EINVAL);
 		}
 	}
Index: uspace/lib/c/generic/loc.c
===================================================================
--- uspace/lib/c/generic/loc.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/loc.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -55,9 +55,9 @@
 static async_sess_t *loc_consumer_sess = NULL;
 
-static void loc_cb_conn(cap_call_handle_t iid, ipc_call_t *icall, void *arg)
+static void loc_cb_conn(cap_call_handle_t icall_handle, ipc_call_t *icall, void *arg)
 {
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call)) {
@@ -72,5 +72,5 @@
 			fibril_mutex_unlock(&loc_callback_mutex);
 
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 
 			if (cb_fun != NULL)
@@ -79,5 +79,5 @@
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision 3e242d25d5b49481f9f26ba4a66712daa6a48540)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
@@ -802,7 +802,7 @@
 errno_t vfs_receive_handle(bool high, int *handle)
 {
-	cap_call_handle_t callid;
-	if (!async_state_change_receive(&callid, NULL, NULL, NULL)) {
-		async_answer_0(callid, EINVAL);
+	cap_call_handle_t chandle;
+	if (!async_state_change_receive(&chandle, NULL, NULL, NULL)) {
+		async_answer_0(chandle, EINVAL);
 		return EINVAL;
 	}
@@ -810,5 +810,5 @@
 	async_exch_t *vfs_exch = vfs_exchange_begin();
 
-	async_state_change_finalize(callid, vfs_exch);
+	async_state_change_finalize(chandle, vfs_exch);
 
 	sysarg_t ret;
